Subject: Re: [bug#32209] [PATCH] database: Use SQLite in Multi-thread mode.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 20 Jul 2018 14:55:12 +0200

Hello!

Clément Lassieur <[email-masked]> skribis:

> This disables mutexing on database connection and prepared statement objects,
> thus making us responsible for serializing access to database connections and
> prepared statements.  It may result in a performance improvement.
>
> * src/cuirass/database.scm (db-init, db-open): Pass the SQLITE_OPEN_NOMUTEX
> flag to SQLITE-OPEN.

Could you copy (part of) the paragraph above as a comment above the
‘sqlite-open’ call in ‘db-open’?

Then I guess you can go ahead and push!

Thank you,
Ludo’.